## pyicloud 0.9.1

=== requirements.txt ===
requests>=1.2
keyring>=8.0,<9.0
keyrings.alt>=1.0,<2.0
click>=6.0,<7.0
six>=1.9.0
tzlocal
certifi
bitstring

=== debian/changelog ===
pyicloud (0.9.1-3) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 12 Jul 2018 20:54:20 +0200

pyicloud (0.9.1-2) unstable; urgency=medium

  * debian/control: improve description
  * debian/control: set maintainer to iot-team
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 Feb 2017 19:54:20 +0100

pyicloud (0.9.1-1) unstable; urgency=medium

  * initial upload (Closes: #855524)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Feb 2017 18:54:20 +0100

=== debian/control ===
Source: pyicloud
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: python
Priority: optional
Build-Depends: dh-python
	, python3-setuptools
	, python3-all
	, debhelper (>= 11)
	, python3-requests
	, python3-tzlocal
	, python3-bitstring
	, python3-keyring
	, python3-unittest2
	, python3-click
Standards-Version: 4.1.5
Homepage: https://github.com/picklepete/pyicloud
Vcs-Browser: https://salsa.debian.org/debian-iot-team/pyicloud
Vcs-Git: https://salsa.debian.org/debian-iot-team/pyicloud.git

Package: python3-pyicloud
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: wrapper to access iPhone and Calendar data in the iCloud
 PyiCloud is a module which allows one to interact with iCloud webservices.
 It is written in Python and you can access your iCloud either with
 password/username or with Two-factor authentication (2FA).
 You can:
  - list which devices are associated with your account
  - obtain the device's last known location. The Find My iPhone app
    must have been installed and initialized.
  - send a request to the device to play a sound
  - activate the 'lost mode'
    Lost mode is slightly different to the "Play Sound" functionality
    in that it allows the person who picks up the phone to call a
    specific phone number without having to enter the passcode. Just
    like "Play Sound" you may pass a custom message which the device
    will display, if it's not overridden the custom message of
    "This iPhone has been lost. Please call me." is used.
  - fetch events from the calendar webservice
  - access your iCloud contacts/address book
  - access documents stored in your iCloud account
  - access the iCloud Photo Library

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sun, 19 Feb 2017 18:54:20 +0100
export PYBUILD_NAME=pyicloud
%:
	dh $@ --with python3 --buildsystem=pybuild

## pyicloud 0.9.7

=== debian/changelog ===
pyicloud (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Aug 2020 19:19:47 +0200

pyicloud (0.9.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Mar 2020 12:57:53 +0100

pyicloud (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: add dependency for python3-future

  [Felix Lechner]
  * Add Lintian override for "My" in the package description.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Mar 2020 20:01:12 +0000

## pyicloud 0.10.2

=== requirements.txt ===
requests>=2.20.0
keyring>=8.0,<=9.3.1
keyrings.alt>=1.0,<=3.2.0
click>=6.0,<=7.1.1
six>=1.14.0
tzlocal==2.0.0
pytz>=2019.3
certifi>=2019.11.28
future>=0.18.2

=== debian/changelog ===
pyicloud (0.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 06 Feb 2021 20:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: dh-python
 	, python3-setuptools
 	, python3-all
-	, debhelper (>= 11)
+	, debhelper-compat (= 12)
 	, python3-requests
 	, python3-tzlocal
 	, python3-bitstring
 	, python3-keyring
 	, python3-unittest2
 	, python3-click
-Standards-Version: 4.1.5
+	, python3-future
+Standards-Version: 4.5.0
 Homepage: https://github.com/picklepete/pyicloud
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pyicloud
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pyicloud.git

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 export PYBUILD_NAME=pyicloud
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

=== debian/watch ===
# please also check http://pypi.debian.net/pyicloud/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyicloud/pyicloud-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## pyicloud 1.0.0

=== requirements.txt ===
requests>=2.24.0
keyring>=21.4.0
keyrings.alt>=3.5.2
click>=7.1.2
tzlocal>=4.0
certifi>=2020.6.20

=== debian/changelog ===
pyicloud (1.0.0-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: drop dependency of python3-unittest2
                    (Closes: #1072785)
  * debian/control: add Rules-Requires-Root: no
  * debian/watch: use version=4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 06 Jul 2024 17:29:29 +0200

pyicloud (1.0.0-2) unstable; urgency=medium

  * debian/control: drop dependency of python3-future
    (Closes: #1060118)
  * debian/control: bump standard to 4.6.2 (no changes)
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Jan 2024 18:29:29 +0100

pyicloud (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: depend on python-tzlocal >= 4.0

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Mar 2022 20:29:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,17 @@
 Build-Depends: dh-python
 	, python3-setuptools
 	, python3-all
-	, debhelper-compat (= 12)
+	, debhelper-compat (= 13)
 	, python3-requests
-	, python3-tzlocal
+	, python3-tzlocal (>=4.0)
 	, python3-bitstring
 	, python3-keyring
-	, python3-unittest2
 	, python3-click
-	, python3-future
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/picklepete/pyicloud
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pyicloud
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pyicloud.git
+Rules-Requires-Root: no
 
 Package: python3-pyicloud
 Architecture: all

## pyicloud 2.0.1

=== requirements.txt ===
certifi>=2024.12.14
click>=8.1.8
fido2>=1.2.0,<2.0.0
keyring>=25.6.0
keyrings.alt>=5.0.2
requests>=2.31.0
srp>=1.0.21
tzlocal==5.3.1

=== debian/changelog ===
pyicloud (2.0.1-2) unstable; urgency=medium

  * don't upgrade to a newer version until python3-fido2 is above 2.0.0
  * add fix-calendar.patch (Closes: #1114279)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 07 Sep 2025 21:10:55 +0200

pyicloud (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Aug 2025 14:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,18 @@
 	, python3-all
 	, debhelper-compat (= 13)
 	, python3-requests
-	, python3-tzlocal (>=4.0)
+	, python3-tzlocal (>=5.3.1)
 	, python3-bitstring
 	, python3-keyring
+	, python3-keyrings.alt
 	, python3-click
-Standards-Version: 4.7.0
+	, python3-srp
+	, python3-fido2
+	, python3-certifi
+	, python3-pytest
+        , pybuild-plugin-pyproject
+        , python3-pytest-socket
+Standards-Version: 4.7.2
 Homepage: https://github.com/picklepete/pyicloud
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/pyicloud
 Vcs-Git: https://salsa.debian.org/debian-iot-team/pyicloud.git

=== debian/watch ===
# please also check http://pypi.debian.net/pyicloud/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyicloud/pyicloud-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## pyicloud 2.3.0

=== requirements.txt ===
certifi>=2024.12.14
click>=8.1.8
fido2>=2.0.0
keyring>=25.6.0
keyrings.alt>=5.0.2
requests>=2.31.0
srp>=1.0.21
tzlocal==5.3.1

=== debian/changelog ===
pyicloud (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 13:49:45 +0100
